<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-app.js"></script>
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-auth.js"></script>
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-firestore.js"></script>
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-storage.js"></script>
    <script defer src="app.js"></script>
    <link rel="stylesheet" href="app.css">
    <title>Firebase Functions</title>
</head>
<body>
    <header>
        <div class="unauth visible">
            <button id="signIn">Sign-In via Google</button>
        </div>
        <div class="auth hidden">
            Logged in as <span id="userName"></span>
            <button id="signOut">Sign-Out</button>
        </div>
    </header>

    <fieldset>
        <legend>Create Message</legend>
        <input type="text" id="messageText" />
        <button id="sendMessage">SEND</button>
    </fieldset>

    <table>
        <thead>
            <tr>
                <th>ID</th>
                <th>Message</th>
                <th>Date</th>
            </tr>
        </thead>
        <tbody id="rows"></tbody>
    </table>

</body>
</html>